> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reducto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Pipeline Async



## OpenAPI

````yaml openapi-legacy.json post /pipeline_async
openapi: 3.1.0
info:
  title: Reducto API (Legacy)
  version: v1.11.81-297-g4204a908d
servers:
  - url: https://platform.reducto.ai
security: []
paths:
  /pipeline_async:
    post:
      summary: Pipeline Async
      operationId: pipeline_async_pipeline_async_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AsyncPipelineConfig'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AsyncPipelineResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - SkippableHTTPBearer: []
components:
  schemas:
    AsyncPipelineConfig:
      properties:
        document_url:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - $ref: '#/components/schemas/UploadResponse'
          title: Document Url
          description: >
            The URL of the document to be processed. You can provide one of the
            following:
                        1. A publicly available URL
                        2. A presigned S3 URL
                        3. A reducto:// prefixed URL obtained from the /upload endpoint after directly uploading a document
                        4. [API-131] A list of URLs (for multi-document pipelines, V3 API only)
        pipeline_id:
          type: string
          title: Pipeline Id
          description: The ID of the pipeline to use for the document.
        settings:
          $ref: '#/components/schemas/PipelineSettings'
          default: {}
        webhook:
          $ref: '#/components/schemas/WebhookConfigNew'
          default:
            mode: disabled
            channels: []
        priority:
          type: boolean
          title: Priority
          description: >-
            If True, attempts to process the job with priority if the user has
            priority processing budget available; by default, sync jobs are
            prioritized above async jobs.
          default: false
      additionalProperties: false
      type: object
      required:
        - document_url
        - pipeline_id
      title: AsyncPipelineConfig
    AsyncPipelineResponse:
      properties:
        job_id:
          type: string
          title: Job Id
      type: object
      required:
        - job_id
      title: AsyncPipelineResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UploadResponse:
      properties:
        file_id:
          type: string
          title: File Id
        presigned_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Presigned Url
      type: object
      required:
        - file_id
      title: UploadResponse
    PipelineSettings:
      properties:
        document_password:
          anyOf:
            - type: string
            - type: 'null'
          title: Document Password
          description: Password to decrypt password-protected documents.
      additionalProperties: false
      type: object
      title: PipelineSettings
      description: Settings for pipeline execution that override pipeline defaults.
    WebhookConfigNew:
      properties:
        mode:
          type: string
          enum:
            - disabled
            - svix
            - direct
          title: Mode
          description: >-
            The mode to use for webhook delivery. Defaults to 'disabled'. We
            recommend using 'svix' for production environments.
          default: disabled
        url:
          type: string
          title: Url
          description: The URL to send the webhook to (if using direct webhoook).
        metadata:
          title: Metadata
          description: JSON metadata included in webhook request body
        channels:
          items:
            type: string
          type: array
          title: Channels
          description: >-
            A list of Svix channels the message will be delivered down, omit to
            send to all channels.
      type: object
      title: WebhookConfigNew
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    SkippableHTTPBearer:
      type: http
      scheme: bearer

````